## clonezilla 2.3.4-65

=== debian/changelog ===
clonezilla (2.3.4-65) unstable; urgency=low

  * Initial deb release.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Feb 2010 16:23:00 +0800

## clonezilla 2.3.4-66

=== debian/changelog ===
clonezilla (2.3.4-66) unstable; urgency=low

  * Lzma compression option was changed to be "-3" by default.
  * Option -z5|-z5p (for xz|pxz) and -z6|-z6p (for lzip|plzip) were added in ocs-sr and drbl-ocs.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2010 11:02:00 +0800

## clonezilla 2.3.5-11

=== Makefile ===
# License: GPL
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.
#
prefix = /${DESTDIR}
maindir = /opt/drbl/

all:

install:
	install -d ${prefix}/$(maindir)/{bin,sbin,conf,samples}
	install -d ${prefix}/$(maindir)/setup/files/{ocs,gparted}
	install scripts/* ${prefix}/$(maindir)/sbin/
	install bin/* ${prefix}/$(maindir)/bin/
	cp -ar files/ocs/* ${prefix}/$(maindir)/setup/files/ocs/
	cp -ar files/gparted/* ${prefix}/$(maindir)/setup/files/gparted/
	install -m 644 conf/drbl-ocs.conf ${prefix}/$(maindir)/conf/
	install samples/* ${prefix}/$(maindir)/samples

## clonezilla 2.3.4-68

=== debian/changelog ===
clonezilla (2.3.4-68) unstable; urgency=low

  * Filesystem ufs was added in the partclone supported file system in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2010 19:12:00 +0800

clonezilla (2.3.4-67) unstable; urgency=low

  * Filesystem vmfs was added in the partclone supported file system in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2010 15:57:00 +0800

=== debian/control ===
Source: clonezilla
Section: misc
Priority: optional
Maintainer: Steven Shiau <steven@nchc.org.tw>
Build-Depends: debhelper (>= 7.0.15)
Build-Depends-Indep:
Standards-Version: 3.8.3
Homepage: http://clonezilla.org/

Package: clonezilla
Architecture: all
Depends: ${misc:Depends}, perl, bash
Recommends:
Suggests:
Description:
 Clonezilla, based on DRBL, Partition Image, ntfsclone, partclone, and udpcast, allows you to do bare metal backup and recovery. Two types of Clonezilla are available, Clonezilla live and Clonezilla SE (Server Edition). Clonezilla live is suitable for single machine backup and restore. While Clonezilla SE is for massive deployment, it can clone many (40 plus!) computers simultaneously.
 .
 For more info, check http://clonezilla.org, http://clonezilla.nchc.org.tw.

## clonezilla 2.3.4-70

=== debian/changelog ===
clonezilla (2.3.4-70) unstable; urgency=low

  * Function ocs-functions was improved in coding about running partprobe, sfdisk -R.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Feb 2010 13:32:00 +0800

clonezilla (2.3.4-69) unstable; urgency=low

  * Force to info kernel that the partition table has been changed after partition file system is restored. This makes BSD system restoring work.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Feb 2010 21:53:00 +0800

## clonezilla 2.3.4-73

=== debian/changelog ===
clonezilla (2.3.4-73) unstable; urgency=low

  * Disable starting crypto disk in Clonezilla live. Since we won't need on booting and it causes an issue (https://bugs.launchpad.net/puredyne-live/+bug/485858).

  * An option -bt|--bootstrap was added to programs create-(ubuntu|debian|gparted|drbl)-live so that cdebootstrap or debootstrap can be selected.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Feb 2010 12:49:00 +0800

clonezilla (2.3.4-72) unstable; urgency=low

  * An option (-f) was added in create-(debian|gparted|drbl)-live so that we can assign the linux kernel arch.
  * lbzip2 was used as a default parallel bzip2 program since pbzip2 1.0.5 has an issue about memory usage.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 18 Feb 2010 14:15:00 +0800

clonezilla (2.3.4-71) unstable; urgency=low

  * Minor update about the prompt in ocs-resize-part.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Feb 2010 18:07:00 +0800

## clonezilla 2.3.4-74

=== debian/changelog ===
clonezilla (2.3.4-74) unstable; urgency=low

  * Comment in ocs-functions was updated.
  * Due to a output display bug in partclone.dd when restoring, it is not used to save an image. We still use dd to save and restore the image.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Feb 2010 13:41:00 +0800

## clonezilla 2.3.4-76

=== debian/changelog ===
clonezilla (2.3.4-76) unstable; urgency=low

  * Bug fixed: create-gparted-live failed to create due to set -e checking.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Feb 2010 23:56:00 +0800

clonezilla (2.3.4-75) unstable; urgency=low

  * Bug fixed: kernel/net should not be removed in gparted-live-hook otherwise nfs won't be supported.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 20 Feb 2010 23:25:00 +0800

## clonezilla 2.3.4-77

=== debian/changelog ===
clonezilla (2.3.4-77) unstable; urgency=low

  * Packages usplash and usplash-theme-clonezilla were removed in the packages list in create-ubuntu-live, because in Lucid usplash will conflict with plymouth.
  * More files in the packages libcairo2 and ttf-dejavu-core will be removed in the function dirty_hacking_rm_files_for_ocs_live in ocs-live-hook-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 21 Feb 2010 21:52:00 +0800

## clonezilla 2.3.4-79

=== debian/changelog ===
clonezilla (2.3.4-79) unstable; urgency=low

  * A workaround for VMWare ESX grub was added. For grub 1, if grub.conf exists, but menu.lst not, Clonezilla will try to link grub.conf as menu.lst.
  * An option "-x" to add boot parameters for drbl live was added in create-drbl-live-by-pkg.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 22 Feb 2010 16:18:00 +0800

clonezilla (2.3.4-78) unstable; urgency=low

  * VMFS supported is improved. Now it works if the blkid can identify the partition as VMFS_volume_member.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 22 Feb 2010 09:58:00 +0800

## clonezilla 2.3.4-80

=== debian/changelog ===
clonezilla (2.3.4-80) unstable; urgency=low

  * Bug fixed: When a partition is mounted after ocs-sr saving started (seldom case), the image files on /home/partimag will be all removed (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=2956592&group_id=115473). Thanks to Chris Cooper for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Feb 2010 10:43:00 +0800

## clonezilla 2.3.4-81

=== debian/changelog ===
clonezilla (2.3.4-81) unstable; urgency=low

  * Instead of setting CRYPTDISKS_ENABLE=No, We just remove the start services of cryptdisks-udev.conf and cryptdisks-enable.conf in Lucid Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Feb 2010 14:00:00 +0800

## clonezilla 2.3.4-82

=== debian/changelog ===
clonezilla (2.3.4-82) unstable; urgency=low

  * Plymouth is not stable in Lucid, and since tehre is no way to use boot parameter to disable it, so force to remove the files of plymouth in the function dirty_hacking_rm_files_for_ocs_live in ocs-live-hook-functions.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Feb 2010 15:45:00 +0800

## clonezilla 2.3.4-83

=== debian/changelog ===
clonezilla (2.3.4-83) unstable; urgency=low

  * S00ocs-start and S99ocs-end were added in ocs-live.d for tag purpose.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 23 Feb 2010 16:40:00 +0800

## clonezilla 2.3.4-84

=== debian/changelog ===
clonezilla (2.3.4-84) unstable; urgency=low

  * Some minor improvements in drbl live so it can be used in an unattended mode.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 10:49:00 +0800

## clonezilla 2.3.4-86

=== debian/changelog ===
clonezilla (2.3.4-86) unstable; urgency=low

  * In ocs-srv-live.sh we will force dhcp server to lease IP address to PXE or DRBL client.
  * The boot parameter "dcs_mcast_type", which can be one of these values: "clients+time-to-wait", "time-to-wait", or "clients-to-wait" will honored in dcs.
  * "dcs_choose_client dcs_input_img_name dcs_cast_mode dcs_mcast_type ocs_se_restore_save_opt ocs_se_restore_extra_opt" was added to param_2_be_parsed in drbl-live.d/S03prep-drbl-clonezilla. 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 16:31:00 +0800

clonezilla (2.3.4-85) unstable; urgency=low

  * Comment the usage assing_default_dns_server in drbl-live-hook since it won't work.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 11:58:00 +0800

## clonezilla 2.3.4-87

=== debian/changelog ===
clonezilla (2.3.4-87) unstable; urgency=low

  * Program ocs-get-part-info was improved to use partclone.fstype so that vmfs can be detected.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 18:20:00 +0800

## clonezilla 2.3.5-1

=== debian/changelog ===
clonezilla (2.3.5-1) unstable; urgency=low

  * The complete options added to param_2_be_parsed in drbl-live.d/S03prep-drbl-clonezilla should be:dcs_choose_client ocs_user_mode dcs_input_img_name ocs_postmode dcs_img_vol_limit ocs_se_restore_save_opt dcs_cast_mode dcs_mcast_type ocs_se_restore_extra_opt

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 18:34:00 +0800

## clonezilla 2.3.5-2

=== debian/changelog ===
clonezilla (2.3.5-2) unstable; urgency=low

  * The boot parameter "limit_pxe_drbl_client", which can be "yes" or "no, will honored in drbl live.
  * Remove this: In ocs-srv-live.sh we will force dhcp server to lease IP address to PXE or DRBL client. Since it has been done in drbl-live.sh.
  * Programs ocs-srv-live.sh, drbl-live.sh, and dcs will load the settings of /etc/ocs/ocs-live.conf if it exists.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Feb 2010 22:09:00 +0800

## clonezilla 2.3.5-5

=== debian/changelog ===
clonezilla (2.3.5-5) unstable; urgency=low

  - Boot parameter "ocsroot_src" is honored by clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Feb 2010 09:22:00 +0800

clonezilla (2.3.5-4) unstable; urgency=low

  * By default we put "nosplash" in the live boot menu.
  * Boot parameter "ocs_batch_mode" and "ocs_live_type" are honored by drbl/clonezilla live now.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Feb 2010 09:02:00 +0800

clonezilla (2.3.5-3) unstable; urgency=low

  * Typos fixed in create-drbl-live and create-gparted-live.
  * Bug fixed: boot parameter ocs_se_restore_save_opt should be ocs_se_save_extra_opt.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 Feb 2010 14:47:00 +0800

## clonezilla 2.3.5-8

=== debian/changelog ===
clonezilla (2.3.5-8) unstable; urgency=low

  * Bug fixed: boot parameters ocs_sr_save_extra_opt and ocs_sr_restore_extra_opt was not honored by ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Mar 2010 10:49:00 +0800

clonezilla (2.3.5-7) unstable; urgency=low

  * Boot parameters ocs_sr_save_extra_opt and ocs_sr_restore_extra_opt will be honored by ocs-sr.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 28 Feb 2010 11:10:00 +0800

clonezilla (2.3.5-6) unstable; urgency=low

  * Bug fixed: ocsroot_src was not parsed in S03prep-drbl-clonezilla.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 27 Feb 2010 09:22:00 +0800

## clonezilla 2.3.5-9

=== debian/changelog ===
clonezilla (2.3.5-9) unstable; urgency=low

  * Bug fixed: boot parameters ocs_sr_save_extra_opt and ocs_sr_restore_extra_opt was not honored by ocs-sr again.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Mar 2010 11:33:00 +0800

## clonezilla 2.3.5-11

=== debian/changelog ===
clonezilla (2.3.5-11) unstable; urgency=low

  * Avoid to use "rm -rf" when dealing with temp mount point.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 03 Mar 2010 15:32:00 +0800

clonezilla (2.3.5-10) unstable; urgency=low

  * Bug fixed: when failing to umount the partition in ocs-rm-win-swap-hib, we should not remove the whoile dir.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 01 Mar 2010 16:26:00 +0800

## clonezilla 2.3.5-22

=== debian/changelog ===
clonezilla (2.3.5-22) unstable; urgency=low

  * Bug fixed: Boot parameter keyb should be honored in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Mar 2010 16:50:00 +0800

clonezilla (2.3.5-21) unstable; urgency=low

  * Make create-ubuntu-live work with live helper 2.0~a9-1drbl1.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 16 Mar 2010 18:15:00 +0800

clonezilla (2.3.5-20) unstable; urgency=low

  * Delay umount the Windows partition when removeing hibernation ans page files. since the mounted partition was not aware so fast. This should fix this "partition busy error": https://sourceforge.net/projects/drbl/forums/forum/394007/topic/3559920

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 15 Mar 2010 19:20:00 +0800

clonezilla (2.3.5-19) unstable; urgency=low

  * Delay umount the testing grub partition, since on OpenSuSE 11.2, the mounted ntfs partition was not aware so fast. This should fix this "ntfsfixboot I/O error issue": https://sourceforge.net/projects/drbl/forums/forum/394007/topic/3559920

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 13 Mar 2010 20:17:00 +0800

clonezilla (2.3.5-18) unstable; urgency=low

  * A better file nameing was done for the log files in /var/log/clonezilla/.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Mar 2010 09:11:00 +0800

clonezilla (2.3.5-17) unstable; urgency=low

  * Bug fixed: extra "=" was added in -quiet and -splash options of ocs-live-boot-menu. Thanks to Orgad Shaneh for this bug report (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=2965604&group_id=115473).
  * clonezilla-jobs.log will be put in /var/log/clonezilla/ now, and it will be kept as the file name based on time after the clone job is done.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 09 Mar 2010 15:43:00 +0800

clonezilla (2.3.5-16) unstable; urgency=low

  * Service "mdadm" will be removed in Ubuntu-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Mar 2010 15:33:00 +0800

clonezilla (2.3.5-15) unstable; urgency=low

  * Some improvements in the hook scripts when creating clonezilla/drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Mar 2010 13:56:00 +0800

clonezilla (2.3.5-14) unstable; urgency=low

  * Using "get_pkg_from_dbn_which_ocs_live_need" was a bad idea. Forget about that.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Mar 2010 10:42:00 +0800

clonezilla (2.3.5-13) unstable; urgency=low

  - get_pkg_from_dbn_which_ocs_live_need was moved to ocs-live-hook-functions from ocs-functions.
  - Bug fixed: we should check if the package available in live hook instead of the running system when creating Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 08 Mar 2010 10:08:00 +0800

clonezilla (2.3.5-12) unstable; urgency=low

  * Improve create-ubuntu-live, ocs-cnvt-usb-zip-to-dsk, ocs-iso, ocs-live-dev, create-ocs-tmp-img, ocs-makeboot, create-drbl-live, ocs-onthefly and create-gparted-live to avoid potential "rm -rf" error.
  * A function get_pkg_from_dbn_which_ocs_live_need was added to check the packages available for creating drbl/clonezilla live system.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Mar 2010 11:27:00 +0800

## clonezilla 2.3.5-23

=== debian/changelog ===
clonezilla (2.3.5-23) unstable; urgency=low

  * Bug fixed: Boot parameter keyb should be honored in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Mar 2010 17:40:00 +0800

## clonezilla 2.3.5-24

=== debian/changelog ===
clonezilla (2.3.5-24) unstable; urgency=low

  * Bug fixed: Suppress and avoid the error message when getting data from EDD.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Mar 2010 10:42:00 +0800

## clonezilla 2.3.5-26

=== debian/changelog ===
clonezilla (2.3.5-26) unstable; urgency=low

  * Make polymouth of ubuntu-based Clonezilla live work.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Apr 2010 08:56:00 +0800

clonezilla (2.3.5-25) unstable; urgency=low

  * Force to sort the partitions list got from /proc/partitions.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 03 Apr 2010 19:47:00 +0800

## clonezilla 2.3.5-28

=== debian/changelog ===
clonezilla (2.3.5-28) unstable; urgency=low

  * Make polymouth of ubuntu-based Clonezilla live work.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Apr 2010 10:04:00 +0800

clonezilla (2.3.5-27) unstable; urgency=low

  * Make polymouth of ubuntu-based Clonezilla live work.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Apr 2010 09:37:00 +0800

## clonezilla 2.3.5-29

=== debian/changelog ===
clonezilla (2.3.5-29) unstable; urgency=low

  * Make polymouth of ubuntu-based Clonezilla live work.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Apr 2010 10:23:00 +0800

## clonezilla 2.3.5-32

=== debian/changelog ===
clonezilla (2.3.5-32) unstable; urgency=low

  * Bug fixed: Wrong keymap name for setxkbmap in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Apr 2010 14:08:00 +0800

clonezilla (2.3.5-31) unstable; urgency=low

  * Merge boot parameter gl_kaymap and keyb. Now only "keyb" is required.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Apr 2010 13:36:00 +0800

clonezilla (2.3.5-30) unstable; urgency=low

  * Gave up - polymouth with framebuffer text mode is still very unstable.
  * Bug fixed: service ssh and etc were not disabled for Karmic-based and Lucid-based Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 11 Apr 2010 14:50:00 +0800

## clonezilla 2.3.6-7

=== debian/changelog ===
clonezilla (2.3.6-7) unstable; urgency=low

  * Minor update for the comments in drbl-ocs-live-prep.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Apr 2010 11:13:00 +0800

clonezilla (2.3.6-6) unstable; urgency=low

  * An variable iso_url_for_pxe_ocs_live was added in drbl-ocs.conf so that clonezilla-live based client works better.
  * Program drbl-ocs-live-prep was added so that it's easier to put and configure clonezilla live on DRBL server.
  * Modules uvesafb, vesafb and fbcon should not be listed in /etc/modules for Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 26 Apr 2010 09:03:00 +0800

clonezilla (2.3.6-5) unstable; urgency=low

  * A prompt message was minor updated in ocs-functions.
  * Some preseed values were added in drbl-ocs.conf so that clonezilla-live based client works better.
  * Files in /etc/update-motd.d/ of Clonezilla live will be removed to avoid lsb-release pacakge is required. Otherwise ~ 5 MB size will be need.
  * Command clear won't be in ~user/.bash_profile (S03prep-drbl-clonezilla) in Clonezilla live if the mode is Clonezilla-live based Clonezilla SE.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Apr 2010 20:31:00 +0800

clonezilla (2.3.6-4) unstable; urgency=low

  * More config variables were added in drbl-ocs.conf so that clonezilla-live based client works better.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Apr 2010 17:55:00 +0800

clonezilla (2.3.6-3) unstable; urgency=low

  * Dirs /lib32 and /usr/lib32 will be removed in amd64 version of Clonezilla live. This makes the created file smaller about 30 MB.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Apr 2010 11:52:00 +0800

clonezilla (2.3.6-2) unstable; urgency=low

  * Bug fixed: ocsmgrd failed to hide the clonezilla live menu after cloning.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Apr 2010 18:38:00 +0800

clonezilla (2.3.6-1) unstable; urgency=low

  * This release supports Clonezilla-live based client to do clonezilla job.
  * Typos in ocs-function were fixed.
  * A comment was added in drbl-ocs.
  * Variable diskless_client_os was added in drbl-ocs.conf. This will be used as a flag for NFSroot-based or Clonezilla-live-based system in Clonezilla SE.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Apr 2010 15:51:00 +0800

clonezilla (2.3.5-33) unstable; urgency=low

  * The function to parse boot parameter ocs_server=$IP then notify ocsmgrd was added in ocs-function.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 13 Apr 2010 14:30:00 +0800

## clonezilla 2.3.6-8

=== debian/changelog ===
clonezilla (2.3.6-8) unstable; urgency=low

  * More boot parameters (vga and video) will be removed in pxelinux config when running dcs to start clonezilla-live based Clonezilla SE service.
  * drbl-ocs-live-prep was improved to allow assigning clonezilla live iso URL with command line option.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Apr 2010 14:57:00 +0800

## clonezilla 2.3.6-11

=== debian/changelog ===
clonezilla (2.3.6-11) unstable; urgency=low

  * The prompt to run ocs-sr command does not need to have double quotation marks ("") in the command options. Remove them to avoid confusing.
  * An option -a|--client-arch to assign the CPU arch for Clonezilla SE client was added in drbl-ocs-live-prep.
  * drbl-ocs-live-prep supports local clonezilla iso file, and support to use nfsroot when using drbl-SL.sh to deploy Clonezilla live on Clonezilla SE.
  * Package discover and dmraid were added in gparted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 02 May 2010 20:26:00 +0800

clonezilla (2.3.6-10) unstable; urgency=low

  * Package "discover1" was removed in the packages list in create-gparted-live since it does not exist on Sid/Squeeze. Thanks to Scott Hsiao for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Apr 2010 15:08:00 +0800

clonezilla (2.3.6-9) unstable; urgency=low

  * Functions get_ocs_live_autologin_account and get_ocs_live_auto_login_id_home were added in ocs-functions.
  * The exec of ocs-live-run-menu in ~user/.bash_profile will be commented after clonezilla job is done in drbl-ocs-live mode. This will avoid it's run again if just a logout.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Apr 2010 17:04:00 +0800

## clonezilla 2.3.6-13

=== debian/changelog ===
clonezilla (2.3.6-13) unstable; urgency=low

  * Comments in clone-multiple-usb-example.sh were updated.
  * "--language en" was changed as "-l en_US.UTF-8" in ocs-functions.
  * Bug fixed: select-in-client mode with Clonezila-live based Clonezilla SE failure was fixed.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 05 May 2010 09:27:00 +0800

clonezilla (2.3.6-12) unstable; urgency=low

  * '/proc/devices: fopen failed: no such file or directory is device mapper missing from kernel? Clonezilla is done, no error reported.' error in Ubuntu-based clonezilla live was fixed. Thanks to orographic for this bug report.
  * Examples were updated in drbl-ocs-live-prep.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 04 May 2010 10:14:00 +0800

## clonezilla 2.3.6-14

=== debian/changelog ===
clonezilla (2.3.6-14) unstable; urgency=low

  - RPM spec file was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 09 May 2010 11:19:00 +0800

## clonezilla 2.3.6-15

=== debian/changelog ===
clonezilla (2.3.6-15) unstable; urgency=low

  * Due to a problem about lbzip2, we swtich back to use pbzip2 for parallel bzip2 compresstion and decompression.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 10 May 2010 11:15:00 +0800

## clonezilla 2.3.6-16

=== debian/changelog ===
clonezilla (2.3.6-16) unstable; urgency=low

  * Boot parameter "nomodeset" was added with vga=normal to avoid using framebuffer mode in safe graphic mode for drbl/clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 11 May 2010 08:55:00 +0800

## clonezilla 2.3.6-17

=== debian/changelog ===
clonezilla (2.3.6-17) unstable; urgency=low

  * A better mechanism for running vgcfgbackup to save the LVM configuration was implemented. It will avoid triggering NFS lockd.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 17 May 2010 22:20:00 +0800

## clonezilla 2.3.6-19

=== debian/changelog ===
clonezilla (2.3.6-19) unstable; urgency=low

  * A workaround function canonical_hostname_prep was used in prep-ocsroot to avoid NFS statd/lockd issue.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 21 May 2010 21:03:00 +0800

clonezilla (2.3.6-18) unstable; urgency=low

  *  Disable the volatile repository when creating clonezilla/drbl/gparted live.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 19 May 2010 09:43:00 +0800

## clonezilla 2.3.6-20

=== debian/changelog ===
clonezilla (2.3.6-20) unstable; urgency=low

  * Bug fixed: Programs ocs-iso and ocs-live-dev were improved to include only Clonezilla-related files. Other files in /live/image/ won't be included.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 30 May 2010 17:27:00 +0800

## clonezilla 2.3.6-23

=== debian/changelog ===
clonezilla (2.3.6-23) unstable; urgency=low

  * start-ocs-live and start-drbl-live were improved to work with insserv.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 30 May 2010 19:30:00 +0800

clonezilla (2.3.6-22) unstable; urgency=low

  * start-ocs-live and start-drbl-live were improved to work with insserv.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 30 May 2010 19:21:00 +0800

clonezilla (2.3.6-21) unstable; urgency=low

  * S99start-ocs-live was improved to work with insserv.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 30 May 2010 18:25:00 +0800

## clonezilla 2.3.6-24

=== debian/changelog ===
clonezilla (2.3.6-24) unstable; urgency=low

  * start-ocs-live and start-drbl-live were improved to work with insserv and upstart.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 31 May 2010 14:51:00 +0800

## clonezilla 2.3.6-26

=== debian/changelog ===
clonezilla (2.3.6-26) unstable; urgency=low

  * Minor updates in ocs-functions.
  * Program prep-ocsroot was improved to work with sshfs/cifs path with space.
  * Program ocs-iso is able to create the recovery iso larger than 4.5 GB. Thanks to Zoltan Kerenyi Nagy for reporting this issue.

 -- Steven Shiau <steven@nchc.org.tw>  Jun, 08 Jun 2010 16:14:00 +0800

clonezilla (2.3.6-25) unstable; urgency=low

  * Make start-gparted-live work with innserv.

 -- Steven Shiau <steven@nchc.org.tw>  Jun, 01 Jun 2010 08:29:00 +0800

## clonezilla 2.3.6-28

=== debian/changelog ===
clonezilla (2.3.6-28) unstable; urgency=low

  * Bug fixed: an extra shift should not exist in create-drbl-live. Thanks to Orgad Shaneh for this bug report (http://sourceforge.net/tracker/?func=detail&atid=671650&aid=3016950&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Jun, 17 Jun 2010 21:07:00 +0800

clonezilla (2.3.6-27) unstable; urgency=low

  *  Ubuntu Maverick support was added in create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Jun, 15 Jun 2010 08:01:00 +0800

## clonezilla 2.3.6-29

=== debian/changelog ===
clonezilla (2.3.6-29) unstable; urgency=low

  * Service start-drbl-live was changed to be started in runlevel 2.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Jun 2010 13:45:00 +0800

## clonezilla 2.3.6-31

=== debian/changelog ===
clonezilla (2.3.6-31) unstable; urgency=low

  * More tryes to make service start-drbl-live work in drbl-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Jun 2010 15:18:00 +0800

clonezilla (2.3.6-30) unstable; urgency=low

  * Service start-drbl-live should be started before gdm3 in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 18 Jun 2010 14:10:00 +0800

## clonezilla 2.3.6-32

=== debian/changelog ===
clonezilla (2.3.6-32) unstable; urgency=low

  * Functions get_ocs_live_autologin_account and get_ocs_live_auto_login_id_home were renamed to be get_live_autologin_account and get_live_auto_login_id_home so that they can be used in more general way.
  * Variables ocs_live_autologin_account and ocs_live_auto_login_id_home were renamed to be live_autologin_account and live_auto_login_id_home so that they can be used in more general way.
  * Files copied to autologin account will be done during booting of DRBL live, no more in drbl-live-hook.
  * Parallel start (startpar) was disabled in DRBL live, otherwise gdm will be started before start-drbl-live is done.
  * Force to make start-drbl-live run before gdm3, but after dus and hal.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Jun 2010 11:02:00 +0800

## clonezilla 2.3.6-34

=== debian/changelog ===
clonezilla (2.3.6-34) unstable; urgency=low

  * Program create-drbl-live-by-pkg was improved with option -c.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 22 Jun 2010 15:25:00 +0800

clonezilla (2.3.6-33) unstable; urgency=low

  * Packages tango-icon-theme and hicolor-icon-theme were added in the xfce required packages list for drbl live.
  * LXDE packages list was added in create-drbl-live-by-pkg (Not finished).

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 21 Jun 2010 22:30:00 +0800

## clonezilla 2.3.6-36

=== debian/changelog ===
clonezilla (2.3.6-36) unstable; urgency=low

  * Bug fixed: Accidently a charactor was removed in ocs-live-boot-menu in 2.3.6-35.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Jun 2010 16:09:00 +0800

clonezilla (2.3.6-35) unstable; urgency=low

  * By default "nomodeset" is used in the boot parameters. This will make sure the VGA framebuffer mode is correct.
  * Default to use VGA 800x600 for Clonezilla live. Since most of the netbook does not support 1024x768, and 800x600 is the common one for most of the computers, and it's good enough for Clonezilla live. Thanks for swdotnet for suggesting this.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 23 Jun 2010 15:01:00 +0800

## clonezilla 2.3.6-38

=== debian/changelog ===
clonezilla (2.3.6-38) unstable; urgency=low

  * We change client_no_per_NIC to 50 from 100. As some errors were reported by requested by hcj and he can only successfully used DRBL live to multicast restore an image to 50 machines.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 25 Jun 2010 17:07:58 +0800

clonezilla (2.3.6-37) unstable; urgency=low

  * By default we change client_no_per_NIC to 100 from 40. As requested by hcj and he has successfully used DRBL live to multicast restore an image to 62 machines.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 25 Jun 2010 16:16:50 +0800

## clonezilla 2.3.6-39

=== debian/changelog ===
clonezilla (2.3.6-39) unstable; urgency=low

  * Boot parameter "nomodeset" was added in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Jun 2010 08:42:38 +0800

## clonezilla 2.3.6-41

=== debian/changelog ===
clonezilla (2.3.6-41) unstable; urgency=low

  * Bug fixed: an extra shift should not exist in create-gparted-live and create-drbl-by-pkg.
  * 

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 01 Jul 2010 06:37:36 +0800

clonezilla (2.3.6-40) unstable; urgency=low

  * Put packages console-data console-setup console-common kbd as the required ones since live-helper changed to depend on keyboard-configuration which is not the one we need.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 26 Jun 2010 10:27:02 +0800

## clonezilla 2.3.6-42

=== debian/changelog ===
clonezilla (2.3.6-42) unstable; urgency=low

  * S03prep-drbl-clonezilla for drbl-live.d was patched with ocs-live-run-menu started automatically when X not existing in the system. Thanks to Orgad Shaneh for this patch.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 18 Jul 2010 15:26:48 +0800

## clonezilla 2.3.7-2

=== debian/changelog ===
clonezilla (2.3.7-2) unstable; urgency=low

  * Remove the workaround in ocs-functions which converts VMFS_volume_member as vmfs when using blkid to detect the file system.
  * File system VMFS_volume_member was added in partclone_support_fs in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 28 Jul 2010 18:43:04 +0800

clonezilla (2.3.7-1) unstable; urgency=low

  * Program ocs-live-dev was improved to save the space and the time when copying files. Thanks to Orgad Shaneh for this idea.
  * File system jfs was added in the file system list of partclone in drbl-ocs.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 27 Jul 2010 15:55:05 +0800

clonezilla (2.3.6-43) unstable; urgency=low

  * Bug fixed: create-drbl-live should not exit if gpxe/drbl-etherboot not installed.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 20 Jul 2010 09:10:11 +0800

## clonezilla 2.3.7-7

=== debian/changelog ===
clonezilla (2.3.7-7) unstable; urgency=low

  * Variable lh_ver_required in drbl-ocs.conf was changed to be "2.0~a19-1drbl". Ready for live-build.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Aug 2010 08:56:58 +0800

clonezilla (2.3.7-6) unstable; urgency=low

  * A better way to deal with live-config boot parameter was used.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 06 Aug 2010 08:02:09 +0800

clonezilla (2.3.7-5) unstable; urgency=low

  * "live-config" was added in the boot parameter for the live system so that we can use live-initramfs 2.0.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 05 Aug 2010 23:20:42 +0800

clonezilla (2.3.7-4) unstable; urgency=low

  * The color of icon fonts was set as red so that they can be shown on new fluxbox in GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 03 Aug 2010 09:07:11 +0800

clonezilla (2.3.7-3) unstable; urgency=low

  * Forget about removing dir /usr/share/zoneinfo/ in ocs-live-hook-functions. This might break live-config.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 01 Aug 2010 11:28:09 +0800

## clonezilla 2.3.7-9

=== debian/changelog ===
clonezilla (2.3.7-9) unstable; urgency=low

  * A backup plan for testing lzip image format was added. Thanks to Scaz for this bug report (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3022428&group_id=115473).
  * Force to use the iso-hybrid option for live-build.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 16 Aug 2010 09:48:32 +0800

clonezilla (2.3.7-8) unstable; urgency=low

  * Make sudo as the required package when creating gparted live. In case it is not included by the live-build.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 08 Aug 2010 10:48:46 +0800

## clonezilla 2.3.7-10

=== debian/changelog ===
clonezilla (2.3.7-10) unstable; urgency=low

  * Not to force to use the iso-hybrid option when using live-build to create lenny or lucid based clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 19 Aug 2010 21:35:00 +0800

## clonezilla 2.3.7-12

=== debian/changelog ===
clonezilla (2.3.7-12) unstable; urgency=low

  * Package usplash and usplash-theme-clonezilla won't be included when creating Debian-based Clonezilla live, since usplash is no more in Sid.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Aug 2010 10:50:56 +0800

clonezilla (2.3.7-11) unstable; urgency=low

  * Option "--force" was added for grub-install (grub2).
  * Russian language file settings were added in ocs-live-hook.conf.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Aug 2010 23:03:03 +0800

## clonezilla 2.3.7-13

=== debian/changelog ===
clonezilla (2.3.7-13) unstable; urgency=low

  * Small English Grammatical Errors were fixed. Thanks to Mike Taylor (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3054348&group_id=115473).
  * A bug about failing to run batch mode in drbl-ocs was fixed. Thanks to Mike Taylor (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3054348&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 27 Aug 2010 23:40:55 +0800

## clonezilla 2.3.7-14

=== debian/changelog ===
clonezilla (2.3.7-14) unstable; urgency=low

  * A better description was added when the image restoring of a partition fails.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 29 Aug 2010 13:45:05 +0800

## clonezilla 2.3.7-15

=== debian/changelog ===
clonezilla (2.3.7-15) unstable; urgency=low

  * File system btrfs support was added in drbl-ocs.conf. From partclone 0.2.14 btrfs is supported (experimental). 

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 Aug 2010 09:35:32 +0800

## clonezilla 2.3.7-16

=== debian/changelog ===
clonezilla (2.3.7-16) unstable; urgency=low

  * Verbose messages will be shown when using dhclient to lease IP address in Clonezilla live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 30 Aug 2010 14:07:59 +0800

## clonezilla 2.3.7-17

=== debian/changelog ===
clonezilla (2.3.7-17) unstable; urgency=low

  * The .xinitrc and .bashrc of GParted live will be created during booting, no more in the live hook.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 31 Aug 2010 15:54:18 +0800

## clonezilla 2.3.7-18

=== debian/changelog ===
clonezilla (2.3.7-18) unstable; urgency=low

  * Both gl_debug and gl-debug are the same boot parameters for GParted live debug mode.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 01 Sep 2010 05:52:47 +0800

## clonezilla 2.3.7-21

=== debian/changelog ===
clonezilla (2.3.7-21) unstable; urgency=low

  * A program get-latest-ocs-live-ver was added to parse the latest Clonezilla live on the sourceforge repository.
  * Use "lb" instead of "lh" since no more "lh" command in live-build 2.0~a25-1 or later.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 03 Sep 2010 12:19:08 +0800

clonezilla (2.3.7-20) unstable; urgency=low

  * The utils dir is included in GParted live iso file. With this, we can put the files of GParted live iso on an USB stick and make it bootable with some commands.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Sep 2010 23:09:30 +0800

clonezilla (2.3.7-19) unstable; urgency=low

  * When using the grub2 in the restored OS failed, the plan B (grub2 from Clonezilla live) will be used.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 02 Sep 2010 11:05:52 +0800

## clonezilla 2.3.7-22

=== debian/changelog ===
clonezilla (2.3.7-22) unstable; urgency=low

  * The file sytem header will be cleaned only when the image of the partition exists, not to be cleaned before testing existence.
  * Program drbl-ocs-live-prep was implemented to use a better way to get the latest stable Clonezilla live iso (get-latest-ocs-live-ver).
  * The processes in /ocs/ocs-live.d/ in ubuntu-based clonezilla live will be started only after live-config is done.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Sep 2010 11:10:10 +0800

## clonezilla 2.3.7-24

=== debian/changelog ===
clonezilla (2.3.7-24) unstable; urgency=low

  * Program etherboot will not be included when creating drbl live (another part).

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Sep 2010 17:20:04 +0800

clonezilla (2.3.7-23) unstable; urgency=low

  * Program etherboot will not be included when creating drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Sep 2010 16:59:27 +0800

## clonezilla 2.3.7-27

=== debian/changelog ===
clonezilla (2.3.7-27) unstable; urgency=low

  * Now the X will be run as normal login account in GParted live. This is due to the change of live-config, so we follow that.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Sep 2010 07:46:31 +0800

clonezilla (2.3.7-26) unstable; urgency=low

  * Sudo was added for live-config/scripts/config/012-xinit after booting GParted live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Sep 2010 20:17:41 +0800

clonezilla (2.3.7-25) unstable; urgency=low

  * Package name dhcp3-client was replaced by dhcp-client in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Sep 2010 23:00:46 +0800

## clonezilla 2.3.7-29

=== debian/changelog ===
clonezilla (2.3.7-29) unstable; urgency=low

  * Live-build 2.0.0-1 puts "config" instead of "live-config" in the boot parameters, so now "config" will be detected in ocs-functions, too.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 30 Sep 2010 13:41:31 +0800

clonezilla (2.3.7-28) unstable; urgency=low

  * The private DNS name server won't be built-in in dhcpd.conf when creating drbl live.
  * A new boot parameter "ocs_client_no_per_NIC" was added for DRBL live. It is used to assing the DRBL clients' number.
  * Bug fixed: ocs-srv-live.sh should detect dhcpd, not only dhcpd3.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 27 Sep 2010 13:15:06 +0800

## clonezilla 2.3.7-30

=== debian/changelog ===
clonezilla (2.3.7-30) unstable; urgency=low

  * A workaround was added to avoid "sed command not found" error in drbl live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 02 Oct 2010 13:03:57 +0800

## clonezilla 2.3.7-31

=== debian/changelog ===
clonezilla (2.3.7-31) unstable; urgency=low

  * The grub 1 and 2 deb files were moved to /opt/drbl/pkg/grub instead of /root. Otherwise DRBL live client won't have that.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 Oct 2010 09:21:23 +0800

## clonezilla 2.3.7-32

=== debian/changelog ===
clonezilla (2.3.7-32) unstable; urgency=low

  * Bug fixed: failed to use the grub deb package in /opt/drbl/pkg/grub.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 03 Oct 2010 11:49:19 +0800

## clonezilla 2.3.7-33

=== debian/changelog ===
clonezilla (2.3.7-33) unstable; urgency=low

  * Bug fixed: get-latest-ocs-live-ver was unable to get the latest one.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 04 Oct 2010 11:11:37 +0800

## clonezilla 2.3.7-36

=== debian/changelog ===
clonezilla (2.3.7-36) unstable; urgency=low

  * ocs-live-run-menu will be started only when S99ocs-end is done.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Oct 2010 18:10:57 +0800

clonezilla (2.3.7-35) unstable; urgency=low

  * More prompts were added in drbl-ocs-live-prep.
  * Minor update (prdownloads.sf.net -> downloads.sf.net) in drbl-ocs-live-prep.
  * Minoro update for create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 15 Oct 2010 21:47:45 +0800

clonezilla (2.3.7-34) unstable; urgency=low

  * Function parse_cmdline_option in gl-functions was updated to allow "=" and ",". Thanks to Jacobo Vilella Vilahur for this bug report (https://sourceforge.net/tracker/?func=detail&atid=671650&aid=3081655&group_id=115473).

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 13 Oct 2010 13:27:21 +0800

## clonezilla 2.3.7-37

=== debian/changelog ===
clonezilla (2.3.7-37) unstable; urgency=low

  * The files of x11-common won't be removed otherwise the error messages will be shown by startpar during Clonezilla live booting.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 20 Oct 2010 18:57:36 +0800

## clonezilla 2.3.7-38

=== debian/changelog ===
clonezilla (2.3.7-38) unstable; urgency=low

  * A better mechanism was implemented in ocs-live-run-menu so boot parameter ocs_live_extra_param can be deprecated, i.e. we can put all in a line in boot parameter ocs_live_run.
  * Bug fixed: A bug about failing restoring swap parition on GPT disk. Thanks to Bill Marohn <bmarohn _at_ digitiliti com> for this bug report.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 29 Oct 2010 11:22:24 +0800

## clonezilla 2.3.7-39

=== debian/changelog ===
clonezilla (2.3.7-39) unstable; urgency=low

  * The boot parameter ocs_live_extra_param can not be deprecated. We still need that for ocs-live-restore. It's still a better way to separate command options and link the embedded image.
  * Program ocs-live-restore was improved to make it allow shutdown the machine when using Clonezilla recovery iso/zip with "-p poweroff".

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 30 Oct 2010 08:53:33 +0800

## clonezilla 2.3.7-41

=== debian/changelog ===
clonezilla (2.3.7-41) unstable; urgency=low

  * Set vga=normal instead of vga=788 in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 06 Nov 2010 09:58:22 +0800

clonezilla (2.3.7-40) unstable; urgency=low

  * Remove boot parameter "nomodeset" in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Nov 2010 13:56:16 +0800

## clonezilla 2.3.7-43

=== debian/changelog ===
clonezilla (2.3.7-43) unstable; urgency=low

  * Package hicolor-icon-theme was added in create-gparted-live.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 29 Nov 2010 10:32:47 +0800

clonezilla (2.3.7-42) unstable; urgency=low

  * Package mount-gtk was added in create-gparted-live.
  * Package dhcp*-client* was listed instead of dhcp-client in create-gparted-live.
  * Put natty in create-ubuntu-live.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 25 Nov 2010 20:36:26 +0800

## clonezilla 2.3.7-44

=== debian/changelog ===
clonezilla (2.3.7-44) unstable; urgency=low

  * A typo fixed in ocs-functions.
  * The option "-j2" was not working when using restoreparts. Thanks to dzundam for this bug report.
  * Another example custom-ocs-2 was added. It can be used to save and restore dual boot systems.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 30 Nov 2010 11:36:21 +0800

## clonezilla 2.3.7-45

=== debian/changelog ===
clonezilla (2.3.7-45) unstable; urgency=low

  * Some minor codes cleanup.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 30 Nov 2010 18:32:19 +0800

## clonezilla 2.3.7-46

=== debian/changelog ===
clonezilla (2.3.7-46) unstable; urgency=low

  * A more specific message was added for restoring image of partition to different partition device. Thanks to odoyle81 for this.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 07 Dec 2010 14:53:27 +0800

## clonezilla 2.3.7-49

=== debian/changelog ===
clonezilla (2.3.7-49) unstable; urgency=low

  * By default we install grub-legacy in GParted live, and put grub-pc and grub-legacy debs in /root/pkg/grub/.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Dec 2010 10:05:28 +0800

clonezilla (2.3.7-48) unstable; urgency=low

  * Program ocs-langkbdconf-bterm was updated to use drbl-kbdchooser.
  * Bug fixed: drbl-ocs failed to find the correct kernel and initrd for Clonezilla live mode in Clonezilla SE.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Dec 2010 22:11:18 +0800

clonezilla (2.3.7-47) unstable; urgency=low

  * Bug fixed: get-latest-ocs-live-ver failed to get the version from the new HTML layout of sourceforge download page.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 08 Dec 2010 17:23:35 +0800

## clonezilla 2.3.7-50

=== debian/changelog ===
clonezilla (2.3.7-50) unstable; urgency=low

  * Bug fixed: grub-pc and grub-legacy debs were not put in /root/pkg/grub/.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 11 Dec 2010 23:18:48 +0800

## clonezilla 2.3.7-52

=== debian/changelog ===
clonezilla (2.3.7-52) unstable; urgency=low

  * An option to use alternative Clonezilla live was added in drbl-ocs-live-prep.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 13 Dec 2010 14:26:59 +0800

clonezilla (2.3.7-51) unstable; urgency=low

  * Package mount-gtk was removed in GParted live. It can not be used to mount the device by selection, one still has to know the device name.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 12 Dec 2010 09:53:05 +0800

## clonezilla 2.3.7-53

=== debian/changelog ===
clonezilla (2.3.7-53) unstable; urgency=low

  * Bug fixed: If no Clonezilla live section is found in pxelinux config file, we should not add or remove the options.
  * GParted icon gparted.xpm was updated.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 15 Dec 2010 08:44:31 +0800

## clonezilla 2.3.7-54

=== debian/changelog ===
clonezilla (2.3.7-54) unstable; urgency=low

  * Two variables were added in drbl-ocs.conf: ocs_live_username & ocs_live_passwd. They will be used to send the command to Clonezilla live clients of Clonezilla SE.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 16 Dec 2010 22:15:38 +0800

## clonezilla 2.3.7-55

=== debian/changelog ===
clonezilla (2.3.7-55) unstable; urgency=low

  * Option to force to do sector by sector copy for ocs-onthefly was added.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 17 Dec 2010 22:27:57 +0800

## clonezilla 2.3.7-56

=== debian/changelog ===
clonezilla (2.3.7-56) unstable; urgency=low

  * Bug fixed: only -q1 was added, no -q, -q2 in ocs-onthefly.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 18 Dec 2010 17:03:43 +0800

## clonezilla 2.3.7-58

=== debian/changelog ===
clonezilla (2.3.7-58) unstable; urgency=low

  * The function exclude_umount_live_mnt_point_in_umountfs is obsolete. We let live-config to do this. Ref: http://lists.debian.org/debian-live/2010/12/msg00191.html

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 25 Dec 2010 11:36:53 +0800

clonezilla (2.3.7-57) unstable; urgency=low

  * Bug fixed: Force to unmount image repository before rebooting/shutdowning Clonezilla live. Thanks to Manuel Borchers for reporting this.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Dec 2010 11:46:55 +0800
